<?php
App::uses('EvCybertillAppModel', 'EvCybertill.Model');

class CybertillTransactionStatus extends EvCybertillAppModel {

/**
 * Display field
 *
 * @var string
 */
	public $displayField = 'name';

/**
 * Validation rules
 *
 * @var array
 */
	public $validate = array(
		'name' => array(
			'notBlank' => array(
				'rule' => array('notBlank'),
				'message' => 'Status must be filled in'
			),
		),
	);

/**
 * hasMany associations
 *
 * @var array
 */
	public $hasMany = array(
		'CybertillTransaction' => array(
			'className' => 'EvCybertill.CybertillTransaction'
		)
	);

	public $statuses = array(
		'pending' => 1,
		'successful' => 2,
		'failed' => 3,
		'queued' => 4
	);
}
